# Generated by rust2rpm
# Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate curl

Name:           rust-%{crate}
Version:        0.4.22
Release:        2%{?dist}
Summary:        Rust bindings to libcurl for making HTTP requests

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/curl
Source:         %{crates_source}
# Initial patched metadata
# * No windows/osx
# * No static features
Patch0:         curl-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(curl-sys) >= 0.4.18 with crate(curl-sys) < 0.5.0)
BuildRequires:  (crate(curl-sys/ssl) >= 0.4.18 with crate(curl-sys/ssl) < 0.5.0)
BuildRequires:  (crate(libc/default) >= 0.2.42 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(openssl-probe/default) >= 0.1.2 with crate(openssl-probe/default) < 0.2.0)
BuildRequires:  (crate(socket2/default) >= 0.3.7 with crate(socket2/default) < 0.4.0)
%if %{with check}
BuildRequires:  (crate(mio-extras/default) >= 2.0.3 with crate(mio-extras/default) < 3.0.0)
BuildRequires:  (crate(mio/default) >= 0.6.0 with crate(mio/default) < 0.7.0)
%endif

%global _description \
Rust bindings to libcurl for making HTTP requests.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/{appveyor.yml,ci}

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+http2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+http2-devel %{_description}

This package contains library source intended for building other packages
which use "http2" feature of "%{crate}" crate.

%files       -n %{name}+http2-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+openssl-probe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-probe-devel %{_description}

This package contains library source intended for building other packages
which use "openssl-probe" feature of "%{crate}" crate.

%files       -n %{name}+openssl-probe-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+openssl-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-sys-devel %{_description}

This package contains library source intended for building other packages
which use "openssl-sys" feature of "%{crate}" crate.

%files       -n %{name}+openssl-sys-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+ssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ssl-devel %{_description}

This package contains library source intended for building other packages
which use "ssl" feature of "%{crate}" crate.

%files       -n %{name}+ssl-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 03 2019 Josh Stone <jistone@redhat.com> - 0.4.22-1
- Update to 0.4.22

* Thu Mar 14 2019 Josh Stone <jistone@redhat.com> - 0.4.20-1
- Update to 0.4.20

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Nov 10 2018 Josh Stone <jistone@redhat.com> - 0.4.19-1
- Update to 0.4.19
- Adapt to new packaging

* Mon Oct 01 2018 Josh Stone <jistone@redhat.com> - 0.4.18-1
- Update to 0.4.18

* Mon Sep 17 2018 Josh Stone <jistone@redhat.com> - 0.4.17-1
- Update to 0.4.17

* Thu Sep 13 2018 Josh Stone <jistone@redhat.com> - 0.4.15-1
- Update to 0.4.15

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 0.4.14-1
- Update to 0.4.14

* Sat Jul 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.12-2
- Rebuild to trigger tests

* Sun Jul 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.12-1
- Update to 0.4.12

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.11-1
- Initial package
